Bug 1738727 - [abrt] shotwell: gee_array_list_iterator_real_next(): shotwell killed by SIGABRT
Summary: [abrt] shotwell: gee_array_list_iterator_real_next(): shotwell killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c819a77e69b5276d4e3687b2dd5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-08 01:34 UTC by Stewart Smith
Modified: 2020-05-26 16:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:29:52 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (156.22 KB, text/plain)
2019-08-08 01:34 UTC, Stewart Smith
no flags Details
File: cgroup (399 bytes, text/plain)
2019-08-08 01:34 UTC, Stewart Smith
no flags Details
File: core_backtrace (82.59 KB, text/plain)
2019-08-08 01:34 UTC, Stewart Smith
no flags Details
File: cpuinfo (1.50 KB, text/plain)
2019-08-08 01:34 UTC, Stewart Smith
no flags Details
File: dso_list (19.56 KB, text/plain)
2019-08-08 01:34 UTC, Stewart Smith
no flags Details
File: environ (5.47 KB, text/plain)
2019-08-08 01:35 UTC, Stewart Smith
no flags Details
File: limits (1.29 KB, text/plain)
2019-08-08 01:35 UTC, Stewart Smith
no flags Details
File: maps (132.92 KB, text/plain)
2019-08-08 01:35 UTC, Stewart Smith
no flags Details
File: mountinfo (4.57 KB, text/plain)
2019-08-08 01:35 UTC, Stewart Smith
no flags Details

Description Stewart Smith 2019-08-08 01:34:47 UTC
Description of problem:
Attempting to import photos shortly after opening Shotwell.

Version-Release number of selected component:
shotwell-0.31.0-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        shotwell
crash_function: gee_array_list_iterator_real_next
executable:     /usr/bin/shotwell
journald_cursor: s=979f1cf9ee924a1c85d9a3cc8f03102e;i=15b20;b=570b0859e1854c2a8d177d8abc1d572a;m=ab8a618;t=58f90f146feeb;x=7307181808c5793a
kernel:         5.1.20-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Stewart Smith 2019-08-08 01:34:51 UTC
Created attachment 1601651 [details]
File: backtrace

Comment 2 Stewart Smith 2019-08-08 01:34:53 UTC
Created attachment 1601652 [details]
File: cgroup

Comment 3 Stewart Smith 2019-08-08 01:34:55 UTC
Created attachment 1601653 [details]
File: core_backtrace

Comment 4 Stewart Smith 2019-08-08 01:34:57 UTC
Created attachment 1601654 [details]
File: cpuinfo

Comment 5 Stewart Smith 2019-08-08 01:34:59 UTC
Created attachment 1601655 [details]
File: dso_list

Comment 6 Stewart Smith 2019-08-08 01:35:00 UTC
Created attachment 1601656 [details]
File: environ

Comment 7 Stewart Smith 2019-08-08 01:35:02 UTC
Created attachment 1601657 [details]
File: limits

Comment 8 Stewart Smith 2019-08-08 01:35:05 UTC
Created attachment 1601658 [details]
File: maps

Comment 9 Stewart Smith 2019-08-08 01:35:07 UTC
Created attachment 1601659 [details]
File: mountinfo

Comment 10 Ben Cotton 2020-04-30 21:24:05 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Ben Cotton 2020-05-26 16:29:52 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.